Get Profile
curl --request GET \
--url https://olp-api.nipuntheekshana.com/v1/auth/meimport requests
url = "https://olp-api.nipuntheekshana.com/v1/auth/me"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://olp-api.nipuntheekshana.com/v1/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authentication
Get Profile
Retrieve the authenticated merchant’s profile
GET
/
v1
/
auth
/
me
Get Profile
This endpoint requires a valid Bearer token in the
Authorization header.Example Response (200)
{
"id": "merch_abc123",
"businessName": "Acme Payments Ltd",
"email": "admin@acmepay.com",
"phone": "+94771234567",
"businessType": "company",
"status": "active",
"twoFactorEnabled": false,
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
"webhookUrl": "https://acmepay.com/webhooks/openpay",
"createdAt": "2026-03-26T10:00:00Z",
"updatedAt": "2026-03-26T12:30:00Z"
}
Error Responses
401 Unauthorized
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing or expired authentication token"
}
}